> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Locations

> Qminder's backend sends HTTP requests to registered URLs every time a Location has been created or changed.

### Location created

This HTTP request is sent to registered URLs every time a Location was created in Qminder.

<CodeGroup>
  ```bash bash theme={null}
  POST /webhooks HTTP/1.1
  X-Qminder-Signature: SIGNATURE
  Content-Type: application/json

  {
    "type": "location_created",
    "data": {
      "id": 12345,
      "name": "Service Location"
    }
  }
  ```
</CodeGroup>

This HTTP request includes the following data fields in its request body:

| Field name | Data type | Description |
| - | - | - |
| **type** | "location\_created" | Always "location\_created" for the Location Created event |
| **data.id** | number | The ID of the newly created location. |
| **data.name** | string | The name of the newly created location. |

### Location changed

This HTTP request is sent to registered URLs every time a Location was changed in Qminder.

<CodeGroup>
  ```bash bash theme={null}
  POST /webhooks HTTP/1.1
  X-Qminder-Signature: SIGNATURE
  Content-Type: application/json

  {
    "type": "location_changed",
    "data": {
      "id": 12345,
      "name": "Service Location 2"
    }
  }
  ```
</CodeGroup>

This HTTP request includes the following data fields in its request body:

| Field name | Data type | Description |
| - | - | - |
| **type** | "location\_changed" | Always "location\_changed" for the Location Changed event |
| **data.id** | number | The ID of the changed location |
| **data.name** | string | The name of the changed location. If the location's name has changed, the new location name is sent with this HTTP request. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.